Bug 1271094 - [Host QoS] - Updating second network with host QoS when it attached to host NIC with another network that is out-of-sync, considered as synced
[Host QoS] - Updating second network with host QoS when it attached to host N...
Status: CLOSED CURRENTRELEASE
Product: ovirt-engine
Classification: oVirt
Component: BLL.Network (Show other bugs)
3.6.0
x86_64 Linux
high Severity high (vote)
: ovirt-4.0.0-beta
: 4.0.0
Assigned To: Martin Mucha
Michael Burman
:
Depends On:
Blocks: 1255474
  Show dependency treegraph
 
Reported: 2015-10-13 03:28 EDT by Michael Burman
Modified: 2016-08-04 10:37 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: invalid code Consequence: network incorrectly marked as in-sync Fix: Result: error is fixed, two (or more) networks can now be on same nic and correctly reported as in-sync or out-of-sync
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-05 03:58:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑4.0.0+
rule-engine: planning_ack+
danken: devel_ack+
rule-engine: testing_ack+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 56470 master MERGED engine: allow QoS and non-QoS networks to be attached to a nic 2016-04-26 09:05 EDT

  None (edit)
Description Michael Burman 2015-10-13 03:28:35 EDT
Description of problem:
[Host QoS] - Updating second network with host QoS when it attached to host NIC with another network that is out-of-sync, considered as synced.

If i have 2 networks attached to 1 NIC on host, 2 vlan networks, or 1 non-VM and 1 vlan network.
I'm updating 1 network with some host QoS via Networks tab, and this network marked now as out-of-sync.   
CanDoAction of action 'SetupNetworks' failed for user admin@internal. Reas
ons: VAR__ACTION__SETUP,VAR__TYPE__NETWORKS,ACTION_TYPE_FAILED_HOST_NETWORK_QOS_INTERFACES_WITHOUT_QOS,$ACTION_TYPE_FAILED_HOST_NETWORK_QOS_INTERFACES_WITHOUT_QOS_LIST    enp6s0,$ACTION_TYPE_FAILED_HOST_NETWORK_QO
S_INTERFACES_WITHOUT_QOS_LIST_COUNTER 1

Now, i'm updating the second network with host QoS as well and expecting it to be marked out-of-sync as well, but it marked as synced and report the host QoS parameters.
Engine thinks that the first network is synced and has host QoS parameters applied on it.

Version-Release number of selected component (if applicable):
3.6.0-0.18.el6

How reproducible:
100

Steps to Reproduce:
1. Create host QoS via DC. Create 2 networks(2 vlan networks, or 1 non-VM and 1 vlan network) and attach to 1 NIC on host via setup networks.
2. Update first network with host QoS via Networks tab
3. Update second network with host QoS via setup networks tab 

Actual results:
First network marked as out-of-sync
Second network marked as synced.

Expected results:
Both networks should be marked as out-of-sync
Comment 1 Michael Burman 2015-10-20 03:54:12 EDT
After further discussing with danken, we need to decide what will be the expected result for such scenario :

1) Both networks should be marked as out-of-sync and user will 'Sync All Networks' 
2) Once updating the second network with QoS as well, both will be considered as synced
3) Remove engine restriction for :
'All or none of the networks attached to an interface must have QoS configured'
If this will be removed, then we won't have this issue.
The first network will be considered as synced once updated with QoS and second network will be considered as synced once updated with QoS.
Comment 2 Dan Kenigsberg 2016-03-27 09:51:02 EDT
We've opted for option 3 - remove the Engine-side requirement for all-or-nothing QoS.
Comment 3 Michael Burman 2016-05-26 01:28:07 EDT
Verified on - 4.1.0-0.0.master.20160525231312.git1469b76.el7.cento and vdsm-4.18.0-50.gitd83fbc2.el7.centos.x86_64

- Engine-side requirement for all-or-nothing QoS has been removed.
Comment 4 Sandro Bonazzola 2016-07-05 03:58:06 EDT
oVirt 4.0.0 has been released, closing current release.

Note You need to log in before you can comment on or make changes to this bug.